Subject: Re: [PATCH 3/8] archive: add a failure test wrt .gitattributes misreading

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Apr 2009 01:22:26 -0700

René Scharfe <[email-masked]> writes:

> Hmm, "fix" implies that something is broken without this option, which
> is not necessarily the case.

"What is recorded in the tree is unsuitable for the purpose of this
particular export, so we are xxxing using yyy", is the intended use case,
and I think the verb "fix" is a good fit there in "xxx" part.  "Tweak"
would also work well.

Your suggestion is to say "attributes from the work tree" in place of
"yyy", which also is good.

I got the impression that people tend to prefer the operation named after
what it does than how it does it, but I can go either way.